Core - Feature # 38954

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Ingo Renner Category:

Created: 2012-07-14 Assigned To: Ingo Renner
Updated: 2012-07-21 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Add a unique request ID

Description

To allow grouping of log records belonging to a certain request, a unique id per request is needed.

Associated revisions

Revision b7d14353 - 2012-07-14 19:17 - Ingo Renner

[FEATURE] Add a unique request ID

To allow grouping of log records belonging to a certain request,

a unique id per request is needed.

Change-Id: 176e279e3ebe22fa17b1ffdf9a57c037b75680b82
Resolves: #38954

Releases: 6.0

Reviewed-on: http://review.typo3.org/12792

Reviewed-by: Fabien Udriot
Reviewed-by: Wouter Wolters
Reviewed-by: Marcus Schwemer
Reviewed-by: Steffen Miiller
Tested-by: Steffen Muller
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision a3928¢35 - 2012-07-28 16:00 - Ingo Renner

[FEATURE] Add a unique request ID

To allow grouping of log records belonging to a certain request,

a unique id per request is needed.

Change-Id: 176e279e3ebe22fa17b1ffdf9a57c037b75680b82
Resolves: #38954

Releases: 6.0

Reviewed-on: http://review.typo3.org/12792

Reviewed-by: Fabien Udriot
Reviewed-by: Wouter Wolters
Reviewed-by: Marcus Schwemer
Reviewed-by: Steffen Muller
Tested-by: Steffen Muller
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

History

#1 - 2012-07-14 16:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12792

#2 - 2012-07-14 16:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12792

#3 - 2012-07-14 19:15 - Steffen Miiller
- File T3X_test _38954--z-201207141714.13x added

#4 - 2012-07-14 19:16 - Steffen Miiller

$requestld = Typo3_Bootstrap::getinstance()->getRequestld();

#5 - 2012-07-14 19:30 - Ingo Renner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b7d14353c680527a9f2d621ce2d74b496b825112.

#6 - 2012-07-14 21:04 - Philipp Gampe

Please add documenation for this in NEWS.txt and core_doc_api or whatever else is fits.

#7 - 2012-07-21 09:33 - Christian Kuhn
- Parent task set to #38086

Files
T3X_test_38954--z-201207141714.13x 1.2kB 2012-07-14 Steffen Mller
